Payments
Create Payment
POST
/
api
/
v1
/
payments
Create Payment
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allocations": [
{
"billId": "<string>",
"amount": 1
}
],
"paymentDate": "<string>",
"sourceAccountKey": "bank",
"method": "<string>",
"supplierId": "<string>",
"employeeId": "<string>",
"currency": "VND",
"paymentNumber": "<string>",
"notes": "<string>",
"amount": 123,
"bankFeeAmount": 1,
"fctVatAmount": 1,
"fctCitAmount": 1
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/payments"
payload = {
"allocations": [
{
"billId": "<string>",
"amount": 1
}
],
"paymentDate": "<string>",
"sourceAccountKey": "bank",
"method": "<string>",
"supplierId": "<string>",
"employeeId": "<string>",
"currency": "VND",
"paymentNumber": "<string>",
"notes": "<string>",
"amount": 123,
"bankFeeAmount": 1,
"fctVatAmount": 1,
"fctCitAmount": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allocations: [{billId: '<string>', amount: 1}],
paymentDate: '<string>',
sourceAccountKey: 'bank',
method: '<string>',
supplierId: '<string>',
employeeId: '<string>',
currency: 'VND',
paymentNumber: '<string>',
notes: '<string>',
amount: 123,
bankFeeAmount: 1,
fctVatAmount: 1,
fctCitAmount: 1
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"amount": "<string>",
"paymentNumber": "<string>",
"paymentDate": "<string>",
"method": "<string>",
"sourceAccountKey": "<string>",
"supplierId": "<string>",
"employeeId": "<string>",
"currency": "<string>",
"bankFeeAmount": "<string>",
"fctVatAmount": "<string>",
"fctCitAmount": "<string>",
"bankRef": "<string>",
"bankConfirmedAt": "<string>",
"status": "<string>",
"glPosted": false,
"notes": "<string>",
"createdAt": "<string>",
"allocations": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Show child attributes
Show child attributes
cash|bank
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Response
Successful Response
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Show child attributes
Show child attributes
⌘I
Create Payment
